using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework.Input;

namespace DOFerVolumeRenderer
{
	interface IInputHelper
	{
		bool IsNewKeyPress(Keys key);
		bool IsNewKeyRelease(Keys key);
		KeyboardState KeyboardState { get; }

		bool IsNewLMBPress();
		bool IsNewRMBPress();
		bool IsNewMMBPress();
		bool IsNewXBtn1Press();
		bool IsNewXBtn2Press();
		bool IsNewLMBRelease();
		bool IsNewRMBRelease();
		bool IsNewMMBRelease();
		bool IsNewXBtn1Release();
		bool IsNewXBtn2Release();
		int ScrollWheelValue { get; }
		int ScrollWheelChange { get; }
		MouseState MouseState { get; }
	}
}
